GNU bug report logs - #58007
28.1; compilation-error-properties skips non-matching FILE indices

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Axel Forsman <axelsfor@HIDDEN>; Keywords: patch; dated Thu, 22 Sep 2022 15:59:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 58007 <at> debbugs.gnu.org:


Received: (at 58007) by debbugs.gnu.org; 24 Sep 2022 10:53:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 24 06:53:32 2022
Received: from localhost ([127.0.0.1]:42480 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oc2mp-00062r-R3
	for submit <at> debbugs.gnu.org; Sat, 24 Sep 2022 06:53:32 -0400
Received: from mail-oa1-f49.google.com ([209.85.160.49]:37751)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1oc2ml-00062b-Mb
 for 58007 <at> debbugs.gnu.org; Sat, 24 Sep 2022 06:53:29 -0400
Received: by mail-oa1-f49.google.com with SMTP id
 586e51a60fabf-12c8312131fso3448589fac.4
 for <58007 <at> debbugs.gnu.org>; Sat, 24 Sep 2022 03:53:27 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=cc:to:subject:message-id:date:mime-version:references:in-reply-to
 :from:from:to:cc:subject:date;
 bh=8Kjsyyb3DHGw6anEDl6khKRdHduql0nVv3N85P6CwvI=;
 b=e67ZkJTy0p0zrGMif17MzCtT3veCSmfKVj3+a54bRQP6RPMD9oXIHy9WoxEqu60a8k
 xh6OfrACgtZtmVMfu7VQ1i32b5D6K6t2Y3cXggLgB0AR1oszdAH4r829Lwy3okGemeAz
 yjkPJ0oHepXpL8w8FxTvdLulwB0fjtFNnJQqiv7B0jIlHWuBOLdyV2RipHWYBaFSrhy1
 qDdpuWz6xTiZoiKXNHwyIXSJF8KNFS0ZqaHhSVF6KMMp6FJewMjK9B79noC6/WCZEe0F
 Ht/MaxeKkpycWFjf8vTTv/MKwtzgZ4Bl3NxDem7VvCmAmUeaCC5UKF/EWUKZWh6q2Yp6
 6fbg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=cc:to:subject:message-id:date:mime-version:references:in-reply-to
 :from:x-gm-message-state:from:to:cc:subject:date;
 bh=8Kjsyyb3DHGw6anEDl6khKRdHduql0nVv3N85P6CwvI=;
 b=BCNK/TqktAs1HrCBiImdwYUztmlMVMm+9XtHZ/Jy3A2U6DPyOCQq5jgrCuaaXNCXpd
 ptEpg83VanAIjwkNbLxEXXV48IKwZPVg6EZCe0vcFLowtb5zNniNYo3M8TKkOMOJYsuh
 InCyRXJNkAUL+EibpEcYtdvfDQVNQt+pW7C9xLzLc8T3jUGj9YxtjXtAB6r5WziJEQIw
 vjvG3bZDE9ha+iF4h8XhRwCBsKE0E8/jUWgR85jjmL6xNQPZCHcTdXgrxnh88nC80Ty6
 fDD6ZTfliJU++iKTB2WzzI9VlKqdabwRNwUk5J7tTwP394m1tjKHk7R7ntryhLhx5HNd
 S4iA==
X-Gm-Message-State: ACrzQf0N+0p9hzgWOQgbdwDW4kXXWQJCco4yGLbfEtvMLQl6k/lTuNgs
 6Q8EIOR1DJpYalzkeNkGf8Kagi5ukm+L2ex7Ob8=
X-Google-Smtp-Source: AMsMyM7gMSRSAsOxkqQXxTokg0mTpfm5/Bi43Pq7HFPlePL6hbeSboq1syeSgWIebbgXSY8rHC0f1KRm0P3io0xjj7g=
X-Received: by 2002:a05:6870:b508:b0:12d:1c59:90d9 with SMTP id
 v8-20020a056870b50800b0012d1c5990d9mr13785742oap.199.1664016802098; Sat, 24
 Sep 2022 03:53:22 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Sat, 24 Sep 2022 06:53:21 -0400
From: Stefan Kangas <stefankangas@HIDDEN>
In-Reply-To: <CAPt4RUqwDE_tT=opK_J2TL0e3tkzTm9diNJ4ueo6qtBNV2y_dQ@HIDDEN>
References: <CAPt4RUr7KqJVpZ1fJumqEK3BV2kV6m3Dw3sVTnBjtL=Rz4mPZw@HIDDEN>
 <87edw23wd5.fsf@HIDDEN>
 <CAPt4RUqwDE_tT=opK_J2TL0e3tkzTm9diNJ4ueo6qtBNV2y_dQ@HIDDEN>
X-Hashcash: 1:20:220924:larsi@HIDDEN::Q+nM0Dbq341e4wiv:2IWd
MIME-Version: 1.0
Date: Sat, 24 Sep 2022 06:53:21 -0400
Message-ID: <CADwFkm=Xp_4ixttzxHiTGPLucdJtRVoLExkUWCteDRXOa=STKw@HIDDEN>
Subject: Re: bug#58007: 28.1; compilation-error-properties skips non-matching
 FILE indices
To: Axel Forsman <axelsfor@HIDDEN>, Lars Ingebrigtsen <larsi@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 58007
Cc: 58007 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Axel Forsman <axelsfor@HIDDEN> writes:

> The patch is mostly all indentation changes,
> but yes, if needed I would be willing
> though I would have to consult with my employer first.

It's not a bad idea to start the process now, if you plan to contribute
more to the Emacs in the future.  We hope that you do, of course.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58007; Package emacs. Full text available.

Message received at 58007 <at> debbugs.gnu.org:


Received: (at 58007) by debbugs.gnu.org; 24 Sep 2022 10:30:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 24 06:30:06 2022
Received: from localhost ([127.0.0.1]:42443 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oc2QA-0005On-1k
	for submit <at> debbugs.gnu.org; Sat, 24 Sep 2022 06:30:06 -0400
Received: from quimby.gnus.org ([95.216.78.240]:46692)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1oc2Q7-0005Na-0v
 for 58007 <at> debbugs.gnu.org; Sat, 24 Sep 2022 06:30:04 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=lJqWpHbiVZtYOY8++xD8gFE+G2Pj7wWucPsT52GgS6I=; b=YNgCnnQiM/s1f6TK+t5PRkkJUV
 F/M3/NCqdqrDdX+qfX10C6hDiwIrphp5h4g6mUkDvTuQxjAOZL7WAqlKLlUr9VW9B4yzuidWita2m
 v0ecfm9xHIyY8UKgvUIB24M95P9IDugzUGSHatxE51QURk61Xr/nrqyTLEg7ib744NVc=;
Received: from [84.212.220.105] (helo=joga)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1oc2Py-0002dI-Cz; Sat, 24 Sep 2022 12:29:56 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Axel Forsman <axelsfor@HIDDEN>
Subject: Re: bug#58007: 28.1; compilation-error-properties skips
 non-matching FILE indices
In-Reply-To: <CAPt4RUqwDE_tT=opK_J2TL0e3tkzTm9diNJ4ueo6qtBNV2y_dQ@HIDDEN>
 (Axel Forsman's message of "Fri, 23 Sep 2022 20:29:12 +0200")
References: <CAPt4RUr7KqJVpZ1fJumqEK3BV2kV6m3Dw3sVTnBjtL=Rz4mPZw@HIDDEN>
 <87edw23wd5.fsf@HIDDEN>
 <CAPt4RUqwDE_tT=opK_J2TL0e3tkzTm9diNJ4ueo6qtBNV2y_dQ@HIDDEN>
X-Now-Playing: Smersh's _Third Noise Principle (Formative North American
 Electronica 1975-1984) (3)_: "What the Peeper Saw"
Date: Sat, 24 Sep 2022 12:29:53 +0200
Message-ID: <8735ch12vy.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Axel Forsman <axelsfor@HIDDEN> writes: > Yes, so what I
 initially wanted to do was parse dialyzer errors > when running using the
 rebar3 package manager with `rebar3 dialyzer`. > See attachment for example
 output. > > This is what I ended [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 58007
Cc: 58007 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Axel Forsman <axelsfor@HIDDEN> writes:

> Yes, so what I initially wanted to do was parse dialyzer errors
> when running using the rebar3 package manager with `rebar3 dialyzer`.
> See attachment for example output.
>
> This is what I ended up with
>
>     (setq compilation-error-regexp-alist
>           (cons
>            '("^\\(?:\n\\(.*\\)\n\\)?Line \\([0-9]+\\)\\(?: Column
> \\([0-9]+\\)\\)?: " 1 2 3 1)
>            (cons
>             ;; This next error regexp should not be necessary
> according to documentation.
>             '("^Line \\([0-9]+\\)\\(?: Column \\([0-9]+\\)\\)?: " nil 1 2 1)
>             (eval (car (get 'compilation-error-regexp-alist
> 'standard-value))))))
>
> only with the 2nd error regexp does all errors get parsed.
> Though this is unexpected: In the 1st regexp
> when the first subexpression containing the file name does not match,
> the docs say it should act the same as the 2nd error regexp.
>
> When I have `eval-defun`:ed the patched version of
> `compilation-error-properties`,
> the 1st error regexp suffices as expected.

Ah, thanks.

>> I think this change might be too large to apply without having an FSF
>> copyright assignment on file -- would you be willing to sign such
>> paperwork?
>
> The patch is mostly all indentation changes,
> but yes, if needed I would be willing
> though I would have to consult with my employer first.

Reading the patch again, you're right -- since most of the changes are
indentation changes, we can apply the patch without a copyright
assignment.

However, your patch leads to a test failure -- can you have a look at
that?

Test compile-test-functions backtrace:
  file-name-absolute-p(("my-file"))
  compilation-error-properties((closure (t) nil '("my-file")) (closure
  compilation-parse-errors(1 17)
  (let ((rule (nth 0 test)) (str (nth 1 test)) (pos (nth 2 test)) (col
  (let ((ert--infos (cons (cons "testcase: " (format "%S" test)) ert--
  compile--test-error-line((my-rule "My error message" 1 (39 . 24) (12
  (let ((compilation-num-errors-found 0) (compilation-num-warnings-fou
  (progn (font-lock-mode -1) (let ((compilation-num-errors-found 0) (c
  (unwind-protect (progn (font-lock-mode -1) (let ((compilation-num-er
  (save-current-buffer (set-buffer temp-buffer) (unwind-protect (progn
  (let ((temp-buffer (generate-new-buffer " *temp*" t))) (save-current
  (let* ((file-fun #'(lambda nil '("my-file"))) (line-start-fun #'(lam
  (closure (t) nil (let* ((file-fun #'(lambda nil '("my-file"))) (line
  ert--run-test-internal(#s(ert--test-execution-info :test #s(ert-test
  ert-run-test(#s(ert-test :name compile-test-functions :documentation
  ert-run-or-rerun-test(#s(ert--stats :selector ... :tests ... :test-m
  ert-run-tests((not (or (tag :expensive-test) (tag :unstable))) #f(co
  ert-run-tests-batch((not (or (tag :expensive-test) (tag :unstable)))
  ert-run-tests-batch-and-exit((not (or (tag :expensive-test) (tag :un
  eval((ert-run-tests-batch-and-exit '(not (or (tag :expensive-test) (
  command-line-1(("-L" ":." "-l" "ert" "-l" "lisp/progmodes/compile-te
  command-line()
  normal-top-level()
Test compile-test-functions condition:
    testcase: (my-rule "My error message" 1 (39 . 24) (123 . 134) "my-file" 2)
    (wrong-type-argument stringp
			 ("my-file"))
   FAILED  2/3  compile-test-functions (0.000089 sec) at lisp/progmodes/compile-tests.el:522
   passed  3/3  compile-test-grep-regexps (0.001284 sec)

Ran 3 tests, 2 results as expected, 1 unexpected (2022-09-24 12:26:55+0200, 0.083845 sec)

1 unexpected results:
   FAILED  compile-test-functions




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58007; Package emacs. Full text available.

Message received at 58007 <at> debbugs.gnu.org:


Received: (at 58007) by debbugs.gnu.org; 23 Sep 2022 18:29:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 23 14:29:33 2022
Received: from localhost ([127.0.0.1]:41736 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1obnQb-0001sJ-D9
	for submit <at> debbugs.gnu.org; Fri, 23 Sep 2022 14:29:33 -0400
Received: from mail-lj1-f179.google.com ([209.85.208.179]:44001)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <axelsfor@HIDDEN>) id 1obnQZ-0001s6-EH
 for 58007 <at> debbugs.gnu.org; Fri, 23 Sep 2022 14:29:31 -0400
Received: by mail-lj1-f179.google.com with SMTP id b6so961558ljr.10
 for <58007 <at> debbugs.gnu.org>; Fri, 23 Sep 2022 11:29:31 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=cc:to:subject:message-id:date:from:in-reply-to:references
 :mime-version:from:to:cc:subject:date;
 bh=gzkg4nwGwBVZbyydzVB7iOKTUXO05s7ILVGUbanMjUQ=;
 b=QuCHkdC1lfjjqaeDoF+4Ph/M7419NihbGCCv2uSIRC+pUKfO4P7FA+c6JWnQIaZDKv
 +gYiGf+njgKw9PBU/R7cbuV1LHFxP2cnHcUpjEzFeD4cujaO7xGGA0+RBMIyV9brhXve
 08aGsglm6wAL6RdQbtodoVxneS1O98JmkiQgsLLn5pDQbNmznbQOpXbrSh6cgFcCIbKI
 smz/vv5fH+kFMadHEbm+moYggu5nOVVkqvfY6TApFMrw9CbskNuc/akVug10BbtuoQkp
 UFik6rewAUAmsjwSutec59nFr6lbs+JRDrcomuiBTRkOJNgzo1Cc02wnLW6sIs7eZ9om
 sfJA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=cc:to:subject:message-id:date:from:in-reply-to:references
 :mime-version:x-gm-message-state:from:to:cc:subject:date;
 bh=gzkg4nwGwBVZbyydzVB7iOKTUXO05s7ILVGUbanMjUQ=;
 b=hXrCCFZI0cPFSH7scNaAHDN9U9YMKqW72rKYqr+2fc9XHfryiCtpNLtmCSa/txtD9a
 8MA/OQW7LMpIY9nUrCrz8f2/xjjT6wSONgggdf6CeUXH3K6z4/gavpw3LrDbm7UrXHQZ
 hyIen5uLrxraCqNaiRDvesngor7tT4V20EN1vMk6OeXemLPMF1bRrTaXT0BCbzfb/Xlo
 BqZYIkid3DtzmQ97KzRn93wQVAJfwJQ1nnp+Vx4nNHJn8X0tIywJZaxV/GR2g6s16c3f
 5aQ6kbT0lpsKX1N2mCNgl6i0SdIGasF0WBlDPqz5GOiR2g31mWXygt5VVyBEUsKEnHpS
 7/Zg==
X-Gm-Message-State: ACrzQf1QAiEVhxYqx68+rfAoQhmXxc/p7LQgjDbvK0MtrrdnbRUbwUkR
 bG0ZNGLjLTLQMyZAiTUmmwb8Yxr+IqDgtijFICEEieGN
X-Google-Smtp-Source: AMsMyM6FXE8pnGg8RlZGiINvlq7tpxXcWGCRjEo8mJzFjP2oHX+x/ShEQIb3M+yqBcjwSoQfncG2A+hmnkO2i13RJOA=
X-Received: by 2002:a2e:9b89:0:b0:26a:a203:3b54 with SMTP id
 z9-20020a2e9b89000000b0026aa2033b54mr3552305lji.478.1663957764971; Fri, 23
 Sep 2022 11:29:24 -0700 (PDT)
MIME-Version: 1.0
References: <CAPt4RUr7KqJVpZ1fJumqEK3BV2kV6m3Dw3sVTnBjtL=Rz4mPZw@HIDDEN>
 <87edw23wd5.fsf@HIDDEN>
In-Reply-To: <87edw23wd5.fsf@HIDDEN>
From: Axel Forsman <axelsfor@HIDDEN>
Date: Fri, 23 Sep 2022 20:29:12 +0200
Message-ID: <CAPt4RUqwDE_tT=opK_J2TL0e3tkzTm9diNJ4ueo6qtBNV2y_dQ@HIDDEN>
Subject: Re: bug#58007: 28.1; compilation-error-properties skips non-matching
 FILE indices
To: Lars Ingebrigtsen <larsi@HIDDEN>
Content-Type: multipart/mixed; boundary="00000000000080d62b05e95c5b59"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 58007
Cc: 58007 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--00000000000080d62b05e95c5b59
Content-Type: text/plain; charset="UTF-8"

On Fri, Sep 23, 2022 at 6:10 PM Lars Ingebrigtsen <larsi@HIDDEN> wrote:

> Do you have a test case that demonstrates the problem?

Yes, so what I initially wanted to do was parse dialyzer errors
when running using the rebar3 package manager with `rebar3 dialyzer`.
See attachment for example output.

This is what I ended up with

    (setq compilation-error-regexp-alist
          (cons
           '("^\\(?:\n\\(.*\\)\n\\)?Line \\([0-9]+\\)\\(?: Column
\\([0-9]+\\)\\)?: " 1 2 3 1)
           (cons
            ;; This next error regexp should not be necessary
according to documentation.
            '("^Line \\([0-9]+\\)\\(?: Column \\([0-9]+\\)\\)?: " nil 1 2 1)
            (eval (car (get 'compilation-error-regexp-alist
'standard-value))))))

only with the 2nd error regexp does all errors get parsed.
Though this is unexpected: In the 1st regexp
when the first subexpression containing the file name does not match,
the docs say it should act the same as the 2nd error regexp.

When I have `eval-defun`:ed the patched version of
`compilation-error-properties`,
the 1st error regexp suffices as expected.

> I think this change might be too large to apply without having an FSF
> copyright assignment on file -- would you be willing to sign such
> paperwork?

The patch is mostly all indentation changes,
but yes, if needed I would be willing
though I would have to consult with my employer first.

--00000000000080d62b05e95c5b59
Content-Type: application/octet-stream; 
	name=rebar3-dialyzer-example-output
Content-Disposition: attachment; filename=rebar3-dialyzer-example-output
Content-Transfer-Encoding: base64
Content-ID: <f_l8et67wy0>
X-Attachment-Id: f_l8et67wy0

LSotIG1vZGU6IGNvbXBpbGF0aW9uOyBkZWZhdWx0LWRpcmVjdG9yeTogIn4vRG9jdW1lbnRzL3Jl
YmFyMy10ZXN0L215bGliLyIgLSotCkNvbXBpbGF0aW9uIHN0YXJ0ZWQgYXQgRnJpIFNlcCAyMyAy
MDowNjo0MwoKcmViYXIzIGRpYWx5emVyCj09PT4gVmVyaWZ5aW5nIGRlcGVuZGVuY2llcy4uLgo9
PT0+IEFuYWx5emluZyBhcHBsaWNhdGlvbnMuLi4KPT09PiBDb21waWxpbmcgbXlsaWIKPT09PiBE
aWFseXplciBzdGFydGluZywgdGhpcyBtYXkgdGFrZSBhIHdoaWxlLi4uCj09PT4gVXBkYXRpbmcg
cGx0Li4uCj09PT4gUmVzb2x2aW5nIGZpbGVzLi4uCj09PT4gQ2hlY2tpbmcgMjA1IGZpbGVzIGlu
IF9idWlsZC9kZWZhdWx0L3JlYmFyM18yNC4yX3BsdC4uLgo9PT0+IERvaW5nIHN1Y2Nlc3MgdHlw
aW5nIGFuYWx5c2lzLi4uCj09PT4gUmVzb2x2aW5nIGZpbGVzLi4uCj09PT4gQW5hbHl6aW5nIDIg
ZmlsZXMgd2l0aCBfYnVpbGQvZGVmYXVsdC9yZWJhcjNfMjQuMl9wbHQuLi4KCnNyYy9teWxpYl9h
cHAuZXJsCkxpbmUgMTIgQ29sdW1uIDE6IEZ1bmN0aW9uIHRlc3QvMSBoYXMgbm8gbG9jYWwgcmV0
dXJuCkxpbmUgMTIgQ29sdW1uIDE6IFRoZSBwYXR0ZXJuIFtdIGNhbiBuZXZlciBtYXRjaCB0aGUg
dHlwZSA0CkxpbmUgMTUgQ29sdW1uIDE6IEZ1bmN0aW9uIHN0YXJ0LzIgaGFzIG5vIGxvY2FsIHJl
dHVybgpMaW5lIDE2IENvbHVtbiA3OiBUaGUgY2FsbCBteWxpYl9hcHA6dGVzdCg0KSB3aWxsIG5l
dmVyIHJldHVybiBzaW5jZSBpdCBkaWZmZXJzIGluIHRoZSAxc3QgYXJndW1lbnQgZnJvbSB0aGUg
c3VjY2VzcyB0eXBpbmcgYXJndW1lbnRzOiAoW10pCgpzcmMvbXlsaWJfc3VwLmVybApMaW5lIDE2
IENvbHVtbiAxOiBGdW5jdGlvbiBmaW4vMSBoYXMgbm8gbG9jYWwgcmV0dXJuCkxpbmUgMTYgQ29s
dW1uIDE6IFRoZSBwYXR0ZXJuIFtdIGNhbiBuZXZlciBtYXRjaCB0aGUgdHlwZSA0CkxpbmUgMTkg
Q29sdW1uIDE6IEZ1bmN0aW9uIHN0YXJ0X2xpbmsvMCBoYXMgbm8gbG9jYWwgcmV0dXJuCj09PT4g
V2FybmluZ3Mgd3JpdHRlbiB0byBfYnVpbGQvZGVmYXVsdC8yNC4yLmRpYWx5emVyX3dhcm5pbmdz
Cj09PT4gV2FybmluZ3Mgb2NjdXJyZWQgcnVubmluZyBkaWFseXplcjogNwoKQ29tcGlsYXRpb24g
ZXhpdGVkIGFibm9ybWFsbHkgd2l0aCBjb2RlIDEgYXQgRnJpIFNlcCAyMyAyMDowNjo1MQo=
--00000000000080d62b05e95c5b59--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58007; Package emacs. Full text available.
Added tag(s) patch. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 58007 <at> debbugs.gnu.org:


Received: (at 58007) by debbugs.gnu.org; 23 Sep 2022 16:10:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 23 12:10:25 2022
Received: from localhost ([127.0.0.1]:41511 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oblFw-0006O0-R9
	for submit <at> debbugs.gnu.org; Fri, 23 Sep 2022 12:10:25 -0400
Received: from quimby.gnus.org ([95.216.78.240]:38480)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1oblFu-0006NZ-NM
 for 58007 <at> debbugs.gnu.org; Fri, 23 Sep 2022 12:10:23 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=X5P1JtIXlOnO3y3uzY4F+b1EykWxXaYyiDoNqx+NBUU=; b=hSmpiwQ1Pc7/0G7D+/Pb6NzKh3
 uxGfuvALyrq/tKxCQdGYKdxeYq19vWgPGBnC1i96XfxpnjdhpX1k17nQN7xgHwAxlusV7SHZgTQ0n
 DCwfwdLRdKAGMZY2mYOZWsISLYe8vvPcMesC6fy/dGpePlMlVsgkCQ70HALIQK4GfNlg=;
Received: from [84.212.220.105] (helo=joga)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1oblFm-0003PO-OR; Fri, 23 Sep 2022 18:10:16 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Axel Forsman <axelsfor@HIDDEN>
Subject: Re: bug#58007: 28.1; compilation-error-properties skips
 non-matching FILE indices
In-Reply-To: <CAPt4RUr7KqJVpZ1fJumqEK3BV2kV6m3Dw3sVTnBjtL=Rz4mPZw@HIDDEN>
 (Axel Forsman's message of "Thu, 22 Sep 2022 17:09:55 +0200")
References: <CAPt4RUr7KqJVpZ1fJumqEK3BV2kV6m3Dw3sVTnBjtL=Rz4mPZw@HIDDEN>
X-Now-Playing: Kate Bush's _Never For Ever_: "Delius (Song of Summer)"
Date: Fri, 23 Sep 2022 18:10:14 +0200
Message-ID: <87edw23wd5.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Axel Forsman <axelsfor@HIDDEN> writes: > which clearly,
 unambiguously implies that if the FILE index does not match > then the
 previous
 file name should be used for the error. > However that is not what the code
 does currently, > instead i [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 58007
Cc: 58007 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Axel Forsman <axelsfor@HIDDEN> writes:

> which clearly, unambiguously implies that if the FILE index does not match
> then the previous file name should be used for the error.
> However that is not what the code does currently,
> instead it skips such matches.

Do you have a test case that demonstrates the problem?

> I have attached a patch containing my suggested fix.

I think this change might be too large to apply without having an FSF
copyright assignment on file -- would you be willing to sign such
paperwork?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58007; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 22 Sep 2022 15:58:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 22 11:58:04 2022
Received: from localhost ([127.0.0.1]:38265 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1obOaQ-0002AZ-6W
	for submit <at> debbugs.gnu.org; Thu, 22 Sep 2022 11:58:03 -0400
Received: from lists.gnu.org ([209.51.188.17]:40472)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <axelsfor@HIDDEN>) id 1obNqC-0000zc-8l
 for submit <at> debbugs.gnu.org; Thu, 22 Sep 2022 11:10:17 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:39802)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <axelsfor@HIDDEN>)
 id 1obNqB-0005PD-V9
 for bug-gnu-emacs@HIDDEN; Thu, 22 Sep 2022 11:10:16 -0400
Received: from mail-lj1-x230.google.com ([2a00:1450:4864:20::230]:39604)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <axelsfor@HIDDEN>)
 id 1obNq5-0005Yc-S6
 for bug-gnu-emacs@HIDDEN; Thu, 22 Sep 2022 11:10:11 -0400
Received: by mail-lj1-x230.google.com with SMTP id b24so11364739ljk.6
 for <bug-gnu-emacs@HIDDEN>; Thu, 22 Sep 2022 08:10:08 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=to:subject:message-id:date:from:mime-version:from:to:cc:subject
 :date; bh=GGIq5gxQ5KQoxqByYxBBsLJMcQBmLK1mfxnZ91TwiM8=;
 b=WjJI6PIFmHP1uj437fXR2fB6rikUiATIAtRYhU6QT9Hu70xaY4JVp0KdNMxPnu3cB2
 qklQ1ShCKeP0kJI/pkDMfzdqJDxuUw0pzmubW48VHxvqCJDFvRXHUq4QmE5r6c2Fl1BC
 gKWfq52CsfDk2X/H+XUKtlkk4I+OL486QzQ2GNMi/D9uPA/Et+YgE1OA4hFOYxDu4H53
 +2ldiKarc0ZBfgTdR69TgJqp61hVZoCqyNjZQo2h3g95F0rEy2z5kKV+c6iMWJJQpclr
 TbWBvguR7RpOnQKUullAC/VyMz/riCUZExatUQB+6dkA2ySToDFclX/wHmaZbpGRcyoK
 7lPA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=to:subject:message-id:date:from:mime-version:x-gm-message-state
 :from:to:cc:subject:date;
 bh=GGIq5gxQ5KQoxqByYxBBsLJMcQBmLK1mfxnZ91TwiM8=;
 b=KD+GDIdBCXmjrcurJP0TwQhRd+rLm2BP+gSyS/9HdLQDGCp6DsW80+KIbaLZoR7jUt
 rv9BtTpDFnm09D1OIYuNvQKiAvnU1PmDcCXDr4fjdZLGnZ4/ZXMrwzpWHDujrweMyB8e
 JdTdHmSi1wQQj/OQ78tGGJ6+PmtjQqA5uq/LhxF1tWdAE3KCTeygAsESC++7r+/Gddnt
 11t116TZP7EmW2ZauGphc8KKWfNtgz2F7+fJYnFnn3z6+m+OSRxJV4zRUheiR5jHyYaW
 CSppXKidYFOxgpYjSYWuQdBU3WPfLCrp5Z98pOiwUy5q976wyhI6pIXtOtnXgIu5rw4h
 Kiqw==
X-Gm-Message-State: ACrzQf3TF9010pECUeRQnHyPnvYOHdQQVqkpbqBkgmfI7m2JZVr1g2Zl
 dpGsoy1UXkhhqJMB/hOBSbVFd/23SxBiboa629AOeVh8xko=
X-Google-Smtp-Source: AMsMyM6KiBV2YZnBpOylzee+d5FpfFc3gkLAmdIP5cHNx0+4vbtBiGJGEjAGITl3s/T/4VNCYVGdDRklKfbjPDPCbc0=
X-Received: by 2002:a05:651c:1111:b0:26c:7178:ac4f with SMTP id
 e17-20020a05651c111100b0026c7178ac4fmr1039860ljo.461.1663859407396; Thu, 22
 Sep 2022 08:10:07 -0700 (PDT)
MIME-Version: 1.0
From: Axel Forsman <axelsfor@HIDDEN>
Date: Thu, 22 Sep 2022 17:09:55 +0200
Message-ID: <CAPt4RUr7KqJVpZ1fJumqEK3BV2kV6m3Dw3sVTnBjtL=Rz4mPZw@HIDDEN>
Subject: 28.1; compilation-error-properties skips non-matching FILE indices
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/mixed; boundary="000000000000ef394d05e945745d"
Received-SPF: pass client-ip=2a00:1450:4864:20::230;
 envelope-from=axelsfor@HIDDEN; helo=mail-lj1-x230.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Thu, 22 Sep 2022 11:58:00 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

--000000000000ef394d05e945745d
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Greetings:

The documentation for compilation-error-regexp-alist states

> If FILE, LINE or COLUMN are nil or that index didn=E2=80=99t match, that
> information is not present on the matched line.  In that case the
> file name is assumed to be the same as the previous one in the
> buffer, line number defaults to 1 and column defaults to
> beginning of line=E2=80=99s indentation.

which clearly, unambiguously implies that if the FILE index does not match
then the previous file name should be used for the error.
However that is not what the code does currently,
instead it skips such matches.

I believe the documented behavior would be strictly more useful
than the current implemented behavior,
since if unwanted then the file subexpression in the regex should be
non-optional anyway.
My use case would be to more easily match errors stretching multiple lines,
where the file name is only mentioned in a header.

I have attached a patch containing my suggested fix.

On a side note, the code for handling the case when FILE is a function
that returns a (RELATIVE-FILENAME . DIRNAME) cons-cell looks a bit funky.
It could probably be cleaned up.


Kind regard
Axel Forsman

--000000000000ef394d05e945745d
Content-Type: text/x-patch; charset="US-ASCII"; 
	name="0001-compile-Do-not-skip-all-non-matching-FILE-indices.patch"
Content-Disposition: attachment; 
	filename="0001-compile-Do-not-skip-all-non-matching-FILE-indices.patch"
Content-Transfer-Encoding: base64
Content-ID: <f_l8d6qs6w0>
X-Attachment-Id: f_l8d6qs6w0
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--000000000000ef394d05e945745d--




Acknowledgement sent to Axel Forsman <axelsfor@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#58007; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 24 Sep 2022 11:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.